Package su.onno.ui.comments
Record Class CommentController.ReactionRequest
java.lang.Object
java.lang.Record
su.onno.ui.comments.CommentController.ReactionRequest
- Enclosing class:
CommentController
The request body for toggling a reaction.
-
Constructor Summary
ConstructorsConstructorDescriptionReactionRequest(String emoji) Creates an instance of aReactionRequestrecord class. -
Method Summary
Modifier and TypeMethodDescriptionemoji()Returns the value of theemojirecord component.final booleanIndicates whether some other object is "equal to" this one.final inthashCode()Returns a hash code value for this object.final StringtoString()Returns a string representation of this record class.
-
Constructor Details
-
ReactionRequest
Creates an instance of aReactionRequestrecord class.- Parameters:
emoji- the value for theemojirecord component
-
-
Method Details
-
toString
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components. -
hashCode
public final int hashCode()Returns a hash code value for this object. The value is derived from the hash code of each of the record components. -
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared withObjects::equals(Object,Object). -
emoji
Returns the value of theemojirecord component.- Returns:
- the value of the
emojirecord component
-